1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. GoldenGate
  6. getConnection
Viewing docs for Oracle Cloud Infrastructure v4.22.0
published on Wednesday, Aug 26, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v4.22.0
published on Wednesday, Aug 26, 2026 by Pulumi

    This data source provides details about a specific Connection resource in Oracle Cloud Infrastructure Golden Gate service.

    Retrieves a Connection.

    Example Usage

    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    variables:
      testConnection:
        fn::invoke:
          function: oci:GoldenGate:getConnection
          arguments:
            connectionId: ${testConnectionOciGoldenGateConnection.id}
            view: ${connectionView}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_goldengate_getconnection" "testConnection" {
      connection_id = testConnectionOciGoldenGateConnection.id
      view          = connectionView
    }
    

    Using getConnection

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getConnection(args: GetConnectionArgs, opts?: InvokeOptions): Promise<GetConnectionResult>
    function getConnectionOutput(args: GetConnectionOutputArgs, opts?: InvokeOutputOptions): Output<GetConnectionResult>
    def get_connection(connection_id: Optional[str] = None,
                       opts: Optional[InvokeOptions] = None) -> GetConnectionResult
    def get_connection_output(connection_id: pulumi.Input[Optional[str]] = None,
                       opts: Optional[InvokeOutputOptions] = None) -> Output[GetConnectionResult]
    func LookupConnection(ctx *Context, args *LookupConnectionArgs, opts ...InvokeOption) (*LookupConnectionResult, error)
    func LookupConnectionOutput(ctx *Context, args *LookupConnectionOutputArgs, opts ...InvokeOption) LookupConnectionResultOutput

    > Note: This function is named LookupConnection in the Go SDK.

    public static class GetConnection 
    {
        public static Task<GetConnectionResult> InvokeAsync(GetConnectionArgs args, InvokeOptions? opts = null)
        public static Output<GetConnectionResult> Invoke(GetConnectionInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetConnectionResult> Invoke(GetConnectionInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOptions options)
    public static Output<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOptions options)
    public static Output<GetConnectionResult> getConnection(GetConnectionArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:GoldenGate/getConnection:getConnection
      arguments:
        # arguments dictionary
    data "oci_golden_gate_get_connection" "name" {
        # arguments
    }

    The following arguments are supported:

    ConnectionId string
    The OCID of a Connection.
    ConnectionId string
    The OCID of a Connection.
    connection_id string
    The OCID of a Connection.
    connectionId String
    The OCID of a Connection.
    connectionId string
    The OCID of a Connection.
    connection_id str
    The OCID of a Connection.
    connectionId String
    The OCID of a Connection.

    getConnection Result

    The following output properties are available:

    AccessKeyId string
    • AMAZON_S3: Access key ID to access the Amazon S3 bucket.
    • OCI_OBJECT_STORAGE_S3_API: Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API. Note: Despite the "Id" suffix, this value is not an Oracle Cloud Infrastructure OCID.
    AccountKey string

    Deprecated: The 'account_key' field has been deprecated. Please use 'account_key_secret_id' instead.

    AccountKeySecretId string
    The OCID of the Secret where the account key is stored.
    AccountName string
    Sets the Azure storage account name.
    AdditionalAttributes List<GetConnectionAdditionalAttribute>
    An array of name-value pair attribute entries. Used as additional parameters in connection string.
    AuthDetails List<GetConnectionAuthDetail>
    Represents authentication details for an AI Model connection.
    AuthenticationMode string
    Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
    AuthenticationType string
    Used authentication mechanism to be provided for the following connection types:

    • AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE
    • JAVA_MESSAGE_SERVICE - If not provided, default is NONE. Optional until 2024-06-27, in the release after it will be made required.
    • DATABRICKS - Required fields by authentication types:
    • PERSONAL_ACCESS_TOKEN: username is always 'token', user must enter password
    • OAUTH_M2M: user must enter clientId and clientSecret
    AzureAuthorityHost string
    The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:

    • Azure China: https://login.chinacloudapi.cn/
    • Azure US Government: https://login.microsoftonline.us/
    AzureTenantId string
    Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    BootstrapServers List<GetConnectionBootstrapServer>
    Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example: "server1.example.com:9092,server2.example.com:9092"
    Catalogs List<GetConnectionCatalog>
    Represents the catalog of given type used in an Iceberg connection.
    ClientId string
    • AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    • DATABRICKS: OAuth client id, only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    ClientSecret string

    Deprecated: The 'client_secret' field has been deprecated. Please use 'client_secret_secret_id' instead.

    ClientSecretSecretId string
    • AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
    • DATABRICKS: The OCID of the Secret where the client secret is stored. Only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
    ClusterId string
    The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
    ClusterPlacementGroupId string
    The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
    CompartmentId string
    The OCID of the compartment being referenced.
    ConnectionFactory string
    The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
    ConnectionId string
    ConnectionString string
    • ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
    • MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
    • AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
    ConnectionType string
    The connection type.
    ConnectionUrl string
    • JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
    • SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
    • AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
    • DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
    • ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
    ConsumerProperties string
    The base64 encoded content of the consumer.properties file.
    CoreSiteXml string
    The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the view=COMPACT query parameter is specified.
    DatabaseId string
    The OCID of the database being referenced.
    DatabaseName string
    The name of the database.
    DbSystemId string
    The OCID of the database system being referenced.
    DefinedTags Dictionary<string, string>
    Tags defined for this resource. Each key is predefined and scoped to a namespace. Example: {"foo-namespace.bar-key": "value"}
    DeploymentId string
    The OCID of the deployment being referenced.
    Description string
    Metadata about this specific object.
    DisplayName string
    An object's Display Name.
    DoesUseSecretIds bool
    Indicates that sensitive attributes are provided via Secrets.
    Endpoint string
    • AMAZON_S3: The endpoint URL of the Amazon S3 storage service. e.g.: 'https://s3.amazonaws.com'
    • AZURE_DATA_LAKE_STORAGE: The Azure Blob Storage endpoint where Iceberg data is stored. e.g.: 'https://my-azure-storage-account.blob.core.windows.net'
    • GOOGLE_CLOUD_STORAGE: A legal URL to connect to Google Cloud Storage including scheme, server name and port, if not the default port. Default: https://storage.googleapis.com
    • OCI_OBJECT_STORAGE_S3_API: Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
    Fingerprint string
    Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
    FreeformTags Dictionary<string, string>
    A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example: {"bar-key": "value"}
    Host string
    The name or address of a host. In case of Generic connection type it represents the Host and port separated by colon. Example: "server.example.com:1234" For multiple hosts, provide a comma separated list. Example: "server1.example.com:1000,server1.example.com:2000"
    Id string
    The OCID of the connection being referenced.
    IngressIps List<GetConnectionIngressIp>
    List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
    IsLockOverride bool
    JndiConnectionFactory string
    The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
    JndiInitialContextFactory string
    The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
    JndiProviderUrl string
    The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
    JndiSecurityCredentials string

    Deprecated: The 'jndi_security_credentials' field has been deprecated. Please use 'jndi_security_credentials_secret_id' instead.

    JndiSecurityCredentialsSecretId string
    The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
    JndiSecurityPrincipal string
    Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
    KeyId string
    References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by vaultId.
    KeyStore string

    Deprecated: The 'key_store' field has been deprecated. Please use 'key_store_secret_id' instead.

    KeyStorePassword string

    Deprecated: The 'key_store_password' field has been deprecated. Please use 'key_store_password_secret_id' instead.

    KeyStorePasswordSecretId string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the KeyStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka KeyStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl KeyStore password is stored.
    • REDIS: The OCID of the Secret where the Redis KeyStore password is stored. Note: When provided, 'keyStorePassword' field must not be provided.
    KeyStoreSecretId string
    The OCID of the Secret where the content of the KeyStore file is stored. Note: When provided, 'keyStore' field must not be provided.
    LifecycleDetails string
    Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
    Locks List<GetConnectionLock>
    Locks associated with this resource.
    MaxInputChars int
    Maximum number of input characters supported by this AI model connection.
    ModelKey string
    AI model identifier.
    NsgIds List<string>
    An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
    Password string

    Deprecated: The 'password' field has been deprecated. Please use 'password_secret_id' instead.

    PasswordSecretId string
    The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
    Port int
    The port of an endpoint usually specified for a connection.
    PrivateIp string
    This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
    PrivateKeyFile string

    Deprecated: The 'private_key_file' field has been deprecated. Please use 'private_key_file_secret_id' instead.

    PrivateKeyFileSecretId string
    The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
    PrivateKeyPassphrase string

    Deprecated: The 'private_key_passphrase' field has been deprecated. Please use 'private_key_passphrase_secret_id' instead.

    PrivateKeyPassphraseSecretId string
    The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
    ProducerProperties string
    The base64 encoded content of the producer.properties file.
    ProviderType string
    AI Provider type used by the AI Model Connection.
    PublicKeyFingerprint string
    The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
    RedisClusterId string
    The OCID of the Redis cluster.
    Region string
    The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
    RoutingMethod string
    Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
    SasToken string

    Deprecated: The 'sas_token' field has been deprecated. Please use 'sas_token_secret_id' instead.

    SasTokenSecretId string
    The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
    SecretAccessKey string

    Deprecated: The 'secret_access_key' field has been deprecated. Please use 'secret_access_key_secret_id' instead.

    SecretAccessKeySecretId string
    • AMAZON_S3: The OCID of the Secret where the Secret Access Key is stored.
    • OCI_OBJECT_STORAGE_S3_API: The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication is stored.
    SecurityAttributes Dictionary<string, string>
    Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}}
    SecurityProtocol string
    • DB2: Security protocol for the DB2 database.
    • ELASTICSEARCH: Security protocol for Elasticsearch.
    • JAVA_MESSAGE_SERVICE: Security protocol for Java Message Service. If not provided, default is PLAIN. Optional until 2024-06-27, in the release after it will be made required.
    • KAFKA: Security Type for Kafka.
    • MICROSOFT_SQLSERVER: Security Type for Microsoft SQL Server.
    • MONGODB: Security Type for MongoDB.
    • MYSQL: Security Type for MySQL.
    • POSTGRESQL: Security protocol for PostgreSQL.
    • REDIS: Security protocol for Redis.
    Servers string
    • ELASTICSEARCH: Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example: "server1.example.com:4000,server2.example.com:4000"
    • REDIS: Comma separated list of Redis server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 6379. Used for establishing the initial connection to the Redis cluster. Example: "server1.example.com:6379,server2.example.com:6379"
    ServiceAccountKeyFile string

    Deprecated: The 'service_account_key_file' field has been deprecated. Please use 'service_account_key_file_secret_id' instead.

    ServiceAccountKeyFileSecretId string
    The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
    SessionMode string
    Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
    ShouldUseJndi bool
    If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
    ShouldUseResourcePrincipal bool
    • KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
    ShouldValidateServerCertificate bool
    If set to true, the driver validates the certificate that is sent by the database server.
    SslCa string
    • MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
    • MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslCert string
    • MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslClientKeystash string

    Deprecated: The 'ssl_client_keystash' field has been deprecated. Please use 'ssl_client_keystash_secret_id' instead.

    SslClientKeystashSecretId string
    The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    SslClientKeystoredb string

    Deprecated: The 'ssl_client_keystoredb' field has been deprecated. Please use 'ssl_client_keystoredb_secret_id' instead.

    SslClientKeystoredbSecretId string
    The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    SslCrl string
    • MYSQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslKey string

    Deprecated: The 'ssl_key' field has been deprecated. Please use 'ssl_key_secret_id' instead.

    SslKeyPassword string

    Deprecated: The 'ssl_key_password' field has been deprecated. Please use 'ssl_key_password_secret_id' instead.

    SslKeyPasswordSecretId string
    • JAVA_MESSAGE_SERVICE, KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the password is stored for the cert inside of the Keystore. In case it differs from the KeyStore password, it should be provided.
    • KAFKA: The OCID of the Secret where the kafka Ssl Key password is stored. Note: When provided, 'sslKeyPassword' field must not be provided.
    SslKeySecretId string
    • MYSQL: The OCID of the Secret that stores the Client Key - The content of a .pem or .crt file containing the client private key (for 2-way SSL).
    • POSTGRESQL: The OCID of the Secret that stores the private key of the PostgreSQL server. The supported file formats are .pem and .crt. Note: When provided, 'sslKey' field must not be provided.
    SslMode string
    • MYSQL: SSL modes for MySQL.
    • POSTGRESQL: SSL modes for PostgreSQL.
    SslServerCertificate string
    The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the view=COMPACT query parameter is specified.
    State string
    Possible lifecycle states for connection.
    StorageCredentialName string
    Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
    Storages List<GetConnectionStorage>
    Represents the storage of given type used in an Iceberg connection.
    StreamPoolId string
    The OCID of the stream pool being referenced.
    SubnetId string
    The OCID of the target subnet of the dedicated connection.
    SubscriptionId string
    The OCID of the subscription with which resource needs to be associated with.
    SystemTags Dictionary<string, string>
    The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example: {orcl-cloud: {free-tier-retain: true}}
    TechnologyType string
    The technology type.
    TenancyId string
    The OCID of the related Oracle Cloud Infrastructure tenancy.
    TenantId string
    Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    TimeCreated string
    The time the resource was created. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    TimeUpdated string
    The time the resource was last updated. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    TlsCaFile string
    Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    TlsCertificateKeyFile string

    Deprecated: The 'tls_certificate_key_file' field has been deprecated. Please use 'tls_certificate_key_file_secret_id' instead.

    TlsCertificateKeyFilePassword string

    Deprecated: The 'tls_certificate_key_file_password' field has been deprecated. Please use 'tls_certificate_key_file_password_secret_id' instead.

    TlsCertificateKeyFilePasswordSecretId string
    The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
    TlsCertificateKeyFileSecretId string
    The OCID of the Secret that stores the certificate key file of the mtls connection.

    • The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
    TriggerRefresh bool
    TrustStore string

    Deprecated: The 'trust_store' field has been deprecated. Please use 'trust_store_secret_id' instead.

    TrustStorePassword string

    Deprecated: The 'trust_store_password' field has been deprecated. Please use 'trust_store_password_secret_id' instead.

    TrustStorePasswordSecretId string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the TrustStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka TrustStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl TrustStore password is stored.
    • REDIS: The OCID of the Secret where the Redis TrustStore password is stored. Note: When provided, 'trustStorePassword' field must not be provided.
    TrustStoreSecretId string
    The OCID of the Secret where the content of the TrustStore file is stored. Note: When provided, 'trustStore' field must not be provided.
    Url string
    Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
    UserId string
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who will access Object Storage. The user must have write access to the bucket they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    • ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who will access the Oracle NoSQL database. The user must have write access to the table they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    Username string
    The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
    VaultId string
    References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by keyId.
    Wallet string

    Deprecated: The 'wallet' field has been deprecated. Please use 'wallet_secret_id' instead.

    WalletSecretId string
    The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
    AccessKeyId string
    • AMAZON_S3: Access key ID to access the Amazon S3 bucket.
    • OCI_OBJECT_STORAGE_S3_API: Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API. Note: Despite the "Id" suffix, this value is not an Oracle Cloud Infrastructure OCID.
    AccountKey string

    Deprecated: The 'account_key' field has been deprecated. Please use 'account_key_secret_id' instead.

    AccountKeySecretId string
    The OCID of the Secret where the account key is stored.
    AccountName string
    Sets the Azure storage account name.
    AdditionalAttributes []GetConnectionAdditionalAttribute
    An array of name-value pair attribute entries. Used as additional parameters in connection string.
    AuthDetails []GetConnectionAuthDetail
    Represents authentication details for an AI Model connection.
    AuthenticationMode string
    Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
    AuthenticationType string
    Used authentication mechanism to be provided for the following connection types:

    • AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE
    • JAVA_MESSAGE_SERVICE - If not provided, default is NONE. Optional until 2024-06-27, in the release after it will be made required.
    • DATABRICKS - Required fields by authentication types:
    • PERSONAL_ACCESS_TOKEN: username is always 'token', user must enter password
    • OAUTH_M2M: user must enter clientId and clientSecret
    AzureAuthorityHost string
    The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:

    • Azure China: https://login.chinacloudapi.cn/
    • Azure US Government: https://login.microsoftonline.us/
    AzureTenantId string
    Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    BootstrapServers []GetConnectionBootstrapServer
    Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example: "server1.example.com:9092,server2.example.com:9092"
    Catalogs []GetConnectionCatalog
    Represents the catalog of given type used in an Iceberg connection.
    ClientId string
    • AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    • DATABRICKS: OAuth client id, only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    ClientSecret string

    Deprecated: The 'client_secret' field has been deprecated. Please use 'client_secret_secret_id' instead.

    ClientSecretSecretId string
    • AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
    • DATABRICKS: The OCID of the Secret where the client secret is stored. Only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
    ClusterId string
    The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
    ClusterPlacementGroupId string
    The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
    CompartmentId string
    The OCID of the compartment being referenced.
    ConnectionFactory string
    The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
    ConnectionId string
    ConnectionString string
    • ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
    • MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
    • AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
    ConnectionType string
    The connection type.
    ConnectionUrl string
    • JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
    • SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
    • AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
    • DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
    • ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
    ConsumerProperties string
    The base64 encoded content of the consumer.properties file.
    CoreSiteXml string
    The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the view=COMPACT query parameter is specified.
    DatabaseId string
    The OCID of the database being referenced.
    DatabaseName string
    The name of the database.
    DbSystemId string
    The OCID of the database system being referenced.
    DefinedTags map[string]string
    Tags defined for this resource. Each key is predefined and scoped to a namespace. Example: {"foo-namespace.bar-key": "value"}
    DeploymentId string
    The OCID of the deployment being referenced.
    Description string
    Metadata about this specific object.
    DisplayName string
    An object's Display Name.
    DoesUseSecretIds bool
    Indicates that sensitive attributes are provided via Secrets.
    Endpoint string
    • AMAZON_S3: The endpoint URL of the Amazon S3 storage service. e.g.: 'https://s3.amazonaws.com'
    • AZURE_DATA_LAKE_STORAGE: The Azure Blob Storage endpoint where Iceberg data is stored. e.g.: 'https://my-azure-storage-account.blob.core.windows.net'
    • GOOGLE_CLOUD_STORAGE: A legal URL to connect to Google Cloud Storage including scheme, server name and port, if not the default port. Default: https://storage.googleapis.com
    • OCI_OBJECT_STORAGE_S3_API: Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
    Fingerprint string
    Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
    FreeformTags map[string]string
    A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example: {"bar-key": "value"}
    Host string
    The name or address of a host. In case of Generic connection type it represents the Host and port separated by colon. Example: "server.example.com:1234" For multiple hosts, provide a comma separated list. Example: "server1.example.com:1000,server1.example.com:2000"
    Id string
    The OCID of the connection being referenced.
    IngressIps []GetConnectionIngressIp
    List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
    IsLockOverride bool
    JndiConnectionFactory string
    The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
    JndiInitialContextFactory string
    The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
    JndiProviderUrl string
    The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
    JndiSecurityCredentials string

    Deprecated: The 'jndi_security_credentials' field has been deprecated. Please use 'jndi_security_credentials_secret_id' instead.

    JndiSecurityCredentialsSecretId string
    The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
    JndiSecurityPrincipal string
    Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
    KeyId string
    References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by vaultId.
    KeyStore string

    Deprecated: The 'key_store' field has been deprecated. Please use 'key_store_secret_id' instead.

    KeyStorePassword string

    Deprecated: The 'key_store_password' field has been deprecated. Please use 'key_store_password_secret_id' instead.

    KeyStorePasswordSecretId string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the KeyStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka KeyStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl KeyStore password is stored.
    • REDIS: The OCID of the Secret where the Redis KeyStore password is stored. Note: When provided, 'keyStorePassword' field must not be provided.
    KeyStoreSecretId string
    The OCID of the Secret where the content of the KeyStore file is stored. Note: When provided, 'keyStore' field must not be provided.
    LifecycleDetails string
    Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
    Locks []GetConnectionLock
    Locks associated with this resource.
    MaxInputChars int
    Maximum number of input characters supported by this AI model connection.
    ModelKey string
    AI model identifier.
    NsgIds []string
    An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
    Password string

    Deprecated: The 'password' field has been deprecated. Please use 'password_secret_id' instead.

    PasswordSecretId string
    The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
    Port int
    The port of an endpoint usually specified for a connection.
    PrivateIp string
    This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
    PrivateKeyFile string

    Deprecated: The 'private_key_file' field has been deprecated. Please use 'private_key_file_secret_id' instead.

    PrivateKeyFileSecretId string
    The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
    PrivateKeyPassphrase string

    Deprecated: The 'private_key_passphrase' field has been deprecated. Please use 'private_key_passphrase_secret_id' instead.

    PrivateKeyPassphraseSecretId string
    The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
    ProducerProperties string
    The base64 encoded content of the producer.properties file.
    ProviderType string
    AI Provider type used by the AI Model Connection.
    PublicKeyFingerprint string
    The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
    RedisClusterId string
    The OCID of the Redis cluster.
    Region string
    The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
    RoutingMethod string
    Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
    SasToken string

    Deprecated: The 'sas_token' field has been deprecated. Please use 'sas_token_secret_id' instead.

    SasTokenSecretId string
    The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
    SecretAccessKey string

    Deprecated: The 'secret_access_key' field has been deprecated. Please use 'secret_access_key_secret_id' instead.

    SecretAccessKeySecretId string
    • AMAZON_S3: The OCID of the Secret where the Secret Access Key is stored.
    • OCI_OBJECT_STORAGE_S3_API: The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication is stored.
    SecurityAttributes map[string]string
    Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}}
    SecurityProtocol string
    • DB2: Security protocol for the DB2 database.
    • ELASTICSEARCH: Security protocol for Elasticsearch.
    • JAVA_MESSAGE_SERVICE: Security protocol for Java Message Service. If not provided, default is PLAIN. Optional until 2024-06-27, in the release after it will be made required.
    • KAFKA: Security Type for Kafka.
    • MICROSOFT_SQLSERVER: Security Type for Microsoft SQL Server.
    • MONGODB: Security Type for MongoDB.
    • MYSQL: Security Type for MySQL.
    • POSTGRESQL: Security protocol for PostgreSQL.
    • REDIS: Security protocol for Redis.
    Servers string
    • ELASTICSEARCH: Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example: "server1.example.com:4000,server2.example.com:4000"
    • REDIS: Comma separated list of Redis server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 6379. Used for establishing the initial connection to the Redis cluster. Example: "server1.example.com:6379,server2.example.com:6379"
    ServiceAccountKeyFile string

    Deprecated: The 'service_account_key_file' field has been deprecated. Please use 'service_account_key_file_secret_id' instead.

    ServiceAccountKeyFileSecretId string
    The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
    SessionMode string
    Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
    ShouldUseJndi bool
    If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
    ShouldUseResourcePrincipal bool
    • KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
    ShouldValidateServerCertificate bool
    If set to true, the driver validates the certificate that is sent by the database server.
    SslCa string
    • MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
    • MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslCert string
    • MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslClientKeystash string

    Deprecated: The 'ssl_client_keystash' field has been deprecated. Please use 'ssl_client_keystash_secret_id' instead.

    SslClientKeystashSecretId string
    The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    SslClientKeystoredb string

    Deprecated: The 'ssl_client_keystoredb' field has been deprecated. Please use 'ssl_client_keystoredb_secret_id' instead.

    SslClientKeystoredbSecretId string
    The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    SslCrl string
    • MYSQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). It is not included in GET responses if the view=COMPACT query parameter is specified.
    SslKey string

    Deprecated: The 'ssl_key' field has been deprecated. Please use 'ssl_key_secret_id' instead.

    SslKeyPassword string

    Deprecated: The 'ssl_key_password' field has been deprecated. Please use 'ssl_key_password_secret_id' instead.

    SslKeyPasswordSecretId string
    • JAVA_MESSAGE_SERVICE, KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the password is stored for the cert inside of the Keystore. In case it differs from the KeyStore password, it should be provided.
    • KAFKA: The OCID of the Secret where the kafka Ssl Key password is stored. Note: When provided, 'sslKeyPassword' field must not be provided.
    SslKeySecretId string
    • MYSQL: The OCID of the Secret that stores the Client Key - The content of a .pem or .crt file containing the client private key (for 2-way SSL).
    • POSTGRESQL: The OCID of the Secret that stores the private key of the PostgreSQL server. The supported file formats are .pem and .crt. Note: When provided, 'sslKey' field must not be provided.
    SslMode string
    • MYSQL: SSL modes for MySQL.
    • POSTGRESQL: SSL modes for PostgreSQL.
    SslServerCertificate string
    The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the view=COMPACT query parameter is specified.
    State string
    Possible lifecycle states for connection.
    StorageCredentialName string
    Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
    Storages []GetConnectionStorage
    Represents the storage of given type used in an Iceberg connection.
    StreamPoolId string
    The OCID of the stream pool being referenced.
    SubnetId string
    The OCID of the target subnet of the dedicated connection.
    SubscriptionId string
    The OCID of the subscription with which resource needs to be associated with.
    SystemTags map[string]string
    The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example: {orcl-cloud: {free-tier-retain: true}}
    TechnologyType string
    The technology type.
    TenancyId string
    The OCID of the related Oracle Cloud Infrastructure tenancy.
    TenantId string
    Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    TimeCreated string
    The time the resource was created. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    TimeUpdated string
    The time the resource was last updated. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    TlsCaFile string
    Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    TlsCertificateKeyFile string

    Deprecated: The 'tls_certificate_key_file' field has been deprecated. Please use 'tls_certificate_key_file_secret_id' instead.

    TlsCertificateKeyFilePassword string

    Deprecated: The 'tls_certificate_key_file_password' field has been deprecated. Please use 'tls_certificate_key_file_password_secret_id' instead.

    TlsCertificateKeyFilePasswordSecretId string
    The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
    TlsCertificateKeyFileSecretId string
    The OCID of the Secret that stores the certificate key file of the mtls connection.

    • The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
    TriggerRefresh bool
    TrustStore string

    Deprecated: The 'trust_store' field has been deprecated. Please use 'trust_store_secret_id' instead.

    TrustStorePassword string

    Deprecated: The 'trust_store_password' field has been deprecated. Please use 'trust_store_password_secret_id' instead.

    TrustStorePasswordSecretId string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the TrustStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka TrustStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl TrustStore password is stored.
    • REDIS: The OCID of the Secret where the Redis TrustStore password is stored. Note: When provided, 'trustStorePassword' field must not be provided.
    TrustStoreSecretId string
    The OCID of the Secret where the content of the TrustStore file is stored. Note: When provided, 'trustStore' field must not be provided.
    Url string
    Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
    UserId string
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who will access Object Storage. The user must have write access to the bucket they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    • ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who will access the Oracle NoSQL database. The user must have write access to the table they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    Username string
    The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
    VaultId string
    References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by keyId.
    Wallet string

    Deprecated: The 'wallet' field has been deprecated. Please use 'wallet_secret_id' instead.

    WalletSecretId string
    The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
    access_key_id string
    • AMAZON_S3: Access key ID to access the Amazon S3 bucket.
    • OCI_OBJECT_STORAGE_S3_API: Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API. Note: Despite the "Id" suffix, this value is not an Oracle Cloud Infrastructure OCID.
    account_key string

    Deprecated: The 'account_key' field has been deprecated. Please use 'account_key_secret_id' instead.

    account_key_secret_id string
    The OCID of the Secret where the account key is stored.
    account_name string
    Sets the Azure storage account name.
    additional_attributes list(object)
    An array of name-value pair attribute entries. Used as additional parameters in connection string.
    auth_details list(object)
    Represents authentication details for an AI Model connection.
    authentication_mode string
    Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
    authentication_type string
    Used authentication mechanism to be provided for the following connection types:

    • AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE
    • JAVA_MESSAGE_SERVICE - If not provided, default is NONE. Optional until 2024-06-27, in the release after it will be made required.
    • DATABRICKS - Required fields by authentication types:
    • PERSONAL_ACCESS_TOKEN: username is always 'token', user must enter password
    • OAUTH_M2M: user must enter clientId and clientSecret
    azure_authority_host string
    The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:

    • Azure China: https://login.chinacloudapi.cn/
    • Azure US Government: https://login.microsoftonline.us/
    azure_tenant_id string
    Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    bootstrap_servers list(object)
    Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example: "server1.example.com:9092,server2.example.com:9092"
    catalogs list(object)
    Represents the catalog of given type used in an Iceberg connection.
    client_id string
    • AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    • DATABRICKS: OAuth client id, only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    client_secret string

    Deprecated: The 'client_secret' field has been deprecated. Please use 'client_secret_secret_id' instead.

    client_secret_secret_id string
    • AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
    • DATABRICKS: The OCID of the Secret where the client secret is stored. Only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
    cluster_id string
    The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
    cluster_placement_group_id string
    The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
    compartment_id string
    The OCID of the compartment being referenced.
    connection_factory string
    The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
    connection_id string
    connection_string string
    • ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
    • MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
    • AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
    connection_type string
    The connection type.
    connection_url string
    • JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
    • SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
    • AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
    • DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
    • ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
    consumer_properties string
    The base64 encoded content of the consumer.properties file.
    core_site_xml string
    The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the view=COMPACT query parameter is specified.
    database_id string
    The OCID of the database being referenced.
    database_name string
    The name of the database.
    db_system_id string
    The OCID of the database system being referenced.
    defined_tags map(string)
    Tags defined for this resource. Each key is predefined and scoped to a namespace. Example: {"foo-namespace.bar-key": "value"}
    deployment_id string
    The OCID of the deployment being referenced.
    description string
    Metadata about this specific object.
    display_name string
    An object's Display Name.
    does_use_secret_ids bool
    Indicates that sensitive attributes are provided via Secrets.
    endpoint string
    • AMAZON_S3: The endpoint URL of the Amazon S3 storage service. e.g.: 'https://s3.amazonaws.com'
    • AZURE_DATA_LAKE_STORAGE: The Azure Blob Storage endpoint where Iceberg data is stored. e.g.: 'https://my-azure-storage-account.blob.core.windows.net'
    • GOOGLE_CLOUD_STORAGE: A legal URL to connect to Google Cloud Storage including scheme, server name and port, if not the default port. Default: https://storage.googleapis.com
    • OCI_OBJECT_STORAGE_S3_API: Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
    fingerprint string
    Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
    freeform_tags map(string)
    A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example: {"bar-key": "value"}
    host string
    The name or address of a host. In case of Generic connection type it represents the Host and port separated by colon. Example: "server.example.com:1234" For multiple hosts, provide a comma separated list. Example: "server1.example.com:1000,server1.example.com:2000"
    id string
    The OCID of the connection being referenced.
    ingress_ips list(object)
    List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
    is_lock_override bool
    jndi_connection_factory string
    The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
    jndi_initial_context_factory string
    The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
    jndi_provider_url string
    The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
    jndi_security_credentials string

    Deprecated: The 'jndi_security_credentials' field has been deprecated. Please use 'jndi_security_credentials_secret_id' instead.

    jndi_security_credentials_secret_id string
    The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
    jndi_security_principal string
    Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
    key_id string
    References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by vaultId.
    key_store string

    Deprecated: The 'key_store' field has been deprecated. Please use 'key_store_secret_id' instead.

    key_store_password string

    Deprecated: The 'key_store_password' field has been deprecated. Please use 'key_store_password_secret_id' instead.

    key_store_password_secret_id string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the KeyStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka KeyStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl KeyStore password is stored.
    • REDIS: The OCID of the Secret where the Redis KeyStore password is stored. Note: When provided, 'keyStorePassword' field must not be provided.
    key_store_secret_id string
    The OCID of the Secret where the content of the KeyStore file is stored. Note: When provided, 'keyStore' field must not be provided.
    lifecycle_details string
    Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
    locks list(object)
    Locks associated with this resource.
    max_input_chars number
    Maximum number of input characters supported by this AI model connection.
    model_key string
    AI model identifier.
    nsg_ids list(string)
    An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
    password string

    Deprecated: The 'password' field has been deprecated. Please use 'password_secret_id' instead.

    password_secret_id string
    The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
    port number
    The port of an endpoint usually specified for a connection.
    private_ip string
    This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
    private_key_file string

    Deprecated: The 'private_key_file' field has been deprecated. Please use 'private_key_file_secret_id' instead.

    private_key_file_secret_id string
    The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
    private_key_passphrase string

    Deprecated: The 'private_key_passphrase' field has been deprecated. Please use 'private_key_passphrase_secret_id' instead.

    private_key_passphrase_secret_id string
    The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
    producer_properties string
    The base64 encoded content of the producer.properties file.
    provider_type string
    AI Provider type used by the AI Model Connection.
    public_key_fingerprint string
    The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
    redis_cluster_id string
    The OCID of the Redis cluster.
    region string
    The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
    routing_method string
    Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
    sas_token string

    Deprecated: The 'sas_token' field has been deprecated. Please use 'sas_token_secret_id' instead.

    sas_token_secret_id string
    The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
    secret_access_key string

    Deprecated: The 'secret_access_key' field has been deprecated. Please use 'secret_access_key_secret_id' instead.

    secret_access_key_secret_id string
    • AMAZON_S3: The OCID of the Secret where the Secret Access Key is stored.
    • OCI_OBJECT_STORAGE_S3_API: The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication is stored.
    security_attributes map(string)
    Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}}
    security_protocol string
    • DB2: Security protocol for the DB2 database.
    • ELASTICSEARCH: Security protocol for Elasticsearch.
    • JAVA_MESSAGE_SERVICE: Security protocol for Java Message Service. If not provided, default is PLAIN. Optional until 2024-06-27, in the release after it will be made required.
    • KAFKA: Security Type for Kafka.
    • MICROSOFT_SQLSERVER: Security Type for Microsoft SQL Server.
    • MONGODB: Security Type for MongoDB.
    • MYSQL: Security Type for MySQL.
    • POSTGRESQL: Security protocol for PostgreSQL.
    • REDIS: Security protocol for Redis.
    servers string
    • ELASTICSEARCH: Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example: "server1.example.com:4000,server2.example.com:4000"
    • REDIS: Comma separated list of Redis server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 6379. Used for establishing the initial connection to the Redis cluster. Example: "server1.example.com:6379,server2.example.com:6379"
    service_account_key_file string

    Deprecated: The 'service_account_key_file' field has been deprecated. Please use 'service_account_key_file_secret_id' instead.

    service_account_key_file_secret_id string
    The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
    session_mode string
    Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
    should_use_jndi bool
    If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
    should_use_resource_principal bool
    • KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
    should_validate_server_certificate bool
    If set to true, the driver validates the certificate that is sent by the database server.
    ssl_ca string
    • MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
    • MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    ssl_cert string
    • MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the PostgreSQL server. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    ssl_client_keystash string

    Deprecated: The 'ssl_client_keystash' field has been deprecated. Please use 'ssl_client_keystash_secret_id' instead.

    ssl_client_keystash_secret_id string
    The OCID of the Secret where the keystash file is stored, which contains the encrypted password to the key database file. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    ssl_client_keystoredb string

    Deprecated: The 'ssl_client_keystoredb' field has been deprecated. Please use 'ssl_client_keystoredb_secret_id' instead.

    ssl_client_keystoredb_secret_id string
    The OCID of the Secret where the keystore file stored, which created at the client containing the server certificate / CA root certificate. This property is not supported for IBM Db2 for i, as client TLS mode is not available.
    ssl_crl string
    • MYSQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). Note: This is an optional property and only applicable if TLS/MTLS option is selected. It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded list of certificates revoked by the trusted certificate authorities (Trusted CA). It is not included in GET responses if the view=COMPACT query parameter is specified.
    ssl_key string

    Deprecated: The 'ssl_key' field has been deprecated. Please use 'ssl_key_secret_id' instead.

    ssl_key_password string

    Deprecated: The 'ssl_key_password' field has been deprecated. Please use 'ssl_key_password_secret_id' instead.

    ssl_key_password_secret_id string
    • JAVA_MESSAGE_SERVICE, KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the password is stored for the cert inside of the Keystore. In case it differs from the KeyStore password, it should be provided.
    • KAFKA: The OCID of the Secret where the kafka Ssl Key password is stored. Note: When provided, 'sslKeyPassword' field must not be provided.
    ssl_key_secret_id string
    • MYSQL: The OCID of the Secret that stores the Client Key - The content of a .pem or .crt file containing the client private key (for 2-way SSL).
    • POSTGRESQL: The OCID of the Secret that stores the private key of the PostgreSQL server. The supported file formats are .pem and .crt. Note: When provided, 'sslKey' field must not be provided.
    ssl_mode string
    • MYSQL: SSL modes for MySQL.
    • POSTGRESQL: SSL modes for PostgreSQL.
    ssl_server_certificate string
    The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate. It is not included in GET responses if the view=COMPACT query parameter is specified.
    state string
    Possible lifecycle states for connection.
    storage_credential_name string
    Optional. External storage credential name to access files on object storage such as ADLS Gen2, S3 or GCS.
    storages list(object)
    Represents the storage of given type used in an Iceberg connection.
    stream_pool_id string
    The OCID of the stream pool being referenced.
    subnet_id string
    The OCID of the target subnet of the dedicated connection.
    subscription_id string
    The OCID of the subscription with which resource needs to be associated with.
    system_tags map(string)
    The system tags associated with this resource, if any. The system tags are set by Oracle Cloud Infrastructure services. Each key is predefined and scoped to namespaces. For more information, see Resource Tags. Example: {orcl-cloud: {free-tier-retain: true}}
    technology_type string
    The technology type.
    tenancy_id string
    The OCID of the related Oracle Cloud Infrastructure tenancy.
    tenant_id string
    Azure tenant ID of the application. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    time_created string
    The time the resource was created. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    time_updated string
    The time the resource was last updated. The format is defined by RFC3339, such as 2016-08-25T21:10:29.600Z.
    tls_ca_file string
    Database Certificate - The base64 encoded content of a .pem file, containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    tls_certificate_key_file string

    Deprecated: The 'tls_certificate_key_file' field has been deprecated. Please use 'tls_certificate_key_file_secret_id' instead.

    tls_certificate_key_file_password string

    Deprecated: The 'tls_certificate_key_file_password' field has been deprecated. Please use 'tls_certificate_key_file_password_secret_id' instead.

    tls_certificate_key_file_password_secret_id string
    The OCID of the Secret that stores the password of the tls certificate key file. Note: When provided, 'tlsCertificateKeyFilePassword' field must not be provided.
    tls_certificate_key_file_secret_id string
    The OCID of the Secret that stores the certificate key file of the mtls connection.

    • The content of a .pem file containing the client private key (for 2-way SSL). Note: When provided, 'tlsCertificateKeyFile' field must not be provided.
    trigger_refresh bool
    trust_store string

    Deprecated: The 'trust_store' field has been deprecated. Please use 'trust_store_secret_id' instead.

    trust_store_password string

    Deprecated: The 'trust_store_password' field has been deprecated. Please use 'trust_store_password_secret_id' instead.

    trust_store_password_secret_id string
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the TrustStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka TrustStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl TrustStore password is stored.
    • REDIS: The OCID of the Secret where the Redis TrustStore password is stored. Note: When provided, 'trustStorePassword' field must not be provided.
    trust_store_secret_id string
    The OCID of the Secret where the content of the TrustStore file is stored. Note: When provided, 'trustStore' field must not be provided.
    url string
    Kafka Schema Registry URL. e.g.: 'https://server1.us.oracle.com:8081'
    user_id string
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM: The OCID of the Oracle Cloud Infrastructure user who will access Object Storage. The user must have write access to the bucket they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    • ORACLE_NOSQL: The OCID of the Oracle Cloud Infrastructure user who will access the Oracle NoSQL database. The user must have write access to the table they want to connect to. If the user is not provided, backend will default to the user who is calling the API endpoint.
    username string
    The username Oracle GoldenGate uses to connect the associated system of the given technology. This username must already exist and be available by the system/application to be connected to and must conform to the case sensitivty requirments defined in it.
    vault_id string
    References the Oracle Cloud Infrastructure Vault that contains the customer-managed encryption key identified by keyId.
    wallet string

    Deprecated: The 'wallet' field has been deprecated. Please use 'wallet_secret_id' instead.

    wallet_secret_id string
    The OCID of the Secret where the wallet file is stored. The wallet contents Oracle GoldenGate uses to make connections to a database. Note: When provided, 'wallet' field must not be provided.
    accessKeyId String
    • AMAZON_S3: Access key ID to access the Amazon S3 bucket.
    • OCI_OBJECT_STORAGE_S3_API: Access Key ID from the Oracle Cloud Infrastructure IAM user's Customer Secret Key pair used to authenticate to Oracle Cloud Infrastructure Object Storage via the S3 Compatibility API. Note: Despite the "Id" suffix, this value is not an Oracle Cloud Infrastructure OCID.
    accountKey String

    Deprecated: The 'account_key' field has been deprecated. Please use 'account_key_secret_id' instead.

    accountKeySecretId String
    The OCID of the Secret where the account key is stored.
    accountName String
    Sets the Azure storage account name.
    additionalAttributes List<GetConnectionAdditionalAttribute>
    An array of name-value pair attribute entries. Used as additional parameters in connection string.
    authDetails List<GetConnectionAuthDetail>
    Represents authentication details for an AI Model connection.
    authenticationMode String
    Authentication mode. It can be provided at creation of Oracle Autonomous Database Serverless connections, when a databaseId is provided. The default value is MTLS.
    authenticationType String
    Used authentication mechanism to be provided for the following connection types:

    • AZURE_DATA_LAKE_STORAGE, ELASTICSEARCH, KAFKA_SCHEMA_REGISTRY, REDIS, SNOWFLAKE
    • JAVA_MESSAGE_SERVICE - If not provided, default is NONE. Optional until 2024-06-27, in the release after it will be made required.
    • DATABRICKS - Required fields by authentication types:
    • PERSONAL_ACCESS_TOKEN: username is always 'token', user must enter password
    • OAUTH_M2M: user must enter clientId and clientSecret
    azureAuthorityHost String
    The endpoint used for authentication with Microsoft Entra ID (formerly Azure Active Directory). Default value: https://login.microsoftonline.com When connecting to a non-public Azure Cloud, the endpoint must be provided, eg:

    • Azure China: https://login.chinacloudapi.cn/
    • Azure US Government: https://login.microsoftonline.us/
    azureTenantId String
    Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 14593954-d337-4a61-a364-9f758c64f97f
    bootstrapServers List<GetConnectionBootstrapServer>
    Kafka bootstrap. Equivalent of bootstrap.servers configuration property in Kafka: list of KafkaBootstrapServer objects specified by host/port. Used for establishing the initial connection to the Kafka cluster. Example: "server1.example.com:9092,server2.example.com:9092"
    catalogs List<GetConnectionCatalog>
    Represents the catalog of given type used in an Iceberg connection.
    clientId String
    • AZURE_DATA_LAKE_STORAGE: Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    • DATABRICKS: OAuth client id, only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: Azure client ID of the application. e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
    clientSecret String

    Deprecated: The 'client_secret' field has been deprecated. Please use 'client_secret_secret_id' instead.

    clientSecretSecretId String
    • AZURE_DATA_LAKE_STORAGE: The OCID of the Secret where the client secret is stored.
    • DATABRICKS: The OCID of the Secret where the client secret is stored. Only applicable for authenticationType == OAUTH_M2M.
    • MICROSOFT_FABRIC: The OCID of the Secret where the client secret is stored. Note: When provided, 'clientSecret' field must not be provided.
    clusterId String
    The OCID of the Kafka cluster being referenced from Oracle Cloud Infrastructure Streaming with Apache Kafka.
    clusterPlacementGroupId String
    The OCID(https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the cluster placement group for the resource. Only applicable for multicloud subscriptions. The cluster placement group id must be provided when a multicloud subscription id is provided. Otherwise the cluster placement group must not be provided.
    compartmentId String
    The OCID of the compartment being referenced.
    connectionFactory String
    The of Java class implementing javax.jms.ConnectionFactory interface supplied by the Java Message Service provider. e.g.: 'com.stc.jmsjca.core.JConnectionFactoryXA'
    connectionId String
    connectionString String
    • ORACLE: Connect descriptor or Easy Connect Naming method used to connect to a database.
    • MONGODB: MongoDB connection string. e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
    • AZURE_SYNAPSE_ANALYTICS: JDBC connection string. e.g.: 'jdbc:sqlserver://.sql.azuresynapse.net:1433;database=;encrypt=true;trustServerCertificate=false;hostNameInCertificate=*.sql.azuresynapse.net;loginTimeout=300;'
    connectionType String
    The connection type.
    connectionUrl String
    • JAVA_MESSAGE_SERVICE: Connection URL of the Java Message Service, specifying the protocol, host, and port. e.g.: 'mq://myjms.host.domain:7676'
    • SNOWFLAKE: JDBC connection URL. e.g.: 'jdbc:snowflake://<account_name>.snowflakecomputing.com/?warehouse=&db='
    • AMAZON_REDSHIFT: Connection URL. e.g.: 'jdbc:redshift://aws-redshift-instance.aaaaaaaaaaaa.us-east-2.redshift.amazonaws.com:5439/mydb'
    • DATABRICKS: Connection URL. e.g.: 'jdbc:databricks://adb-33934.4.azuredatabricks.net:443/default;transportMode=http;ssl=1;httpPath=sql/protocolv1/o/3393########44/0##3-7-hlrb'
    • ORACLE_AI_DATA_PLATFORM: Connection URL. It must start with 'jdbc:spark://'
    consumerProperties String
    The base64 encoded content of the consumer.properties file.
    coreSiteXml String
    The base64 encoded content of the Hadoop Distributed File System configuration file (core-site.xml). It is not included in GET responses if the view=COMPACT query parameter is specified.
    databaseId String
    The OCID of the database being referenced.
    databaseName String
    The name of the database.
    dbSystemId String
    The OCID of the database system being referenced.
    definedTags Map<String,String>
    Tags defined for this resource. Each key is predefined and scoped to a namespace. Example: {"foo-namespace.bar-key": "value"}
    deploymentId String
    The OCID of the deployment being referenced.
    description String
    Metadata about this specific object.
    displayName String
    An object's Display Name.
    doesUseSecretIds Boolean
    Indicates that sensitive attributes are provided via Secrets.
    endpoint String
    • AMAZON_S3: The endpoint URL of the Amazon S3 storage service. e.g.: 'https://s3.amazonaws.com'
    • AZURE_DATA_LAKE_STORAGE: The Azure Blob Storage endpoint where Iceberg data is stored. e.g.: 'https://my-azure-storage-account.blob.core.windows.net'
    • GOOGLE_CLOUD_STORAGE: A legal URL to connect to Google Cloud Storage including scheme, server name and port, if not the default port. Default: https://storage.googleapis.com
    • OCI_OBJECT_STORAGE_S3_API: Oracle Cloud Infrastructure Object Storage S3 Compatibility API endpoint URL. Format: "https://.compat.objectstorage.." Example: "https://mynamespace.compat.objectstorage.us-ashburn-1.oraclecloud.com"
    fingerprint String
    Fingerprint required by TLS security protocol. Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
    freeformTags Map<String,String>
    A simple key-value pair that is applied without any predefined name, type, or scope. Exists for cross-compatibility only. Example: {"bar-key": "value"}
    host String
    The name or address of a host. In case of Generic connection type it represents the Host and port separated by colon. Example: "server.example.com:1234" For multiple hosts, provide a comma separated list. Example: "server1.example.com:1000,server1.example.com:2000"
    id String
    The OCID of the connection being referenced.
    ingressIps List<GetConnectionIngressIp>
    List of ingress IP addresses from where the GoldenGate deployment connects to this connection's privateIp. Customers may optionally set up ingress security rules to restrict traffic from these IP addresses.
    isLockOverride Boolean
    jndiConnectionFactory String
    The Connection Factory can be looked up using this name. e.g.: 'ConnectionFactory'
    jndiInitialContextFactory String
    The implementation of javax.naming.spi.InitialContextFactory interface that the client uses to obtain initial naming context. e.g.: 'org.apache.activemq.jndi.ActiveMQInitialContextFactory'
    jndiProviderUrl String
    The URL that Java Message Service will use to contact the JNDI provider. e.g.: 'tcp://myjms.host.domain:61616?jms.prefetchPolicy.all=1000'
    jndiSecurityCredentials String

    Deprecated: The 'jndi_security_credentials' field has been deprecated. Please use 'jndi_security_credentials_secret_id' instead.

    jndiSecurityCredentialsSecretId String
    The OCID of the Secret where the security credentials are stored associated to the principal. Note: When provided, 'jndiSecurityCredentials' field must not be provided.
    jndiSecurityPrincipal String
    Specifies the identity of the principal (user) to be authenticated. e.g.: 'admin2'
    keyId String
    References the Oracle Cloud Infrastructure Vault key in the Oracle Cloud Infrastructure Vault identified by vaultId.
    keyStore String

    Deprecated: The 'key_store' field has been deprecated. Please use 'key_store_secret_id' instead.

    keyStorePassword String

    Deprecated: The 'key_store_password' field has been deprecated. Please use 'key_store_password_secret_id' instead.

    keyStorePasswordSecretId String
    • JAVA_MESSAGE_SERVICE: The OCID of the Secret where the KeyStore password is stored.
    • KAFKA: The OCID of the Secret where the kafka KeyStore password is stored.
    • KAFKA_SCHEMA_REGISTRY: The OCID of the Secret where the kafka Ssl KeyStore password is stored.
    • REDIS: The OCID of the Secret where the Redis KeyStore password is stored. Note: When provided, 'keyStorePassword' field must not be provided.
    keyStoreSecretId String
    The OCID of the Secret where the content of the KeyStore file is stored. Note: When provided, 'keyStore' field must not be provided.
    lifecycleDetails String
    Describes the object's current state in detail. For example, it can be used to provide actionable information for a resource in a Failed state.
    locks List<GetConnectionLock>
    Locks associated with this resource.
    maxInputChars Integer
    Maximum number of input characters supported by this AI model connection.
    modelKey String
    AI model identifier.
    nsgIds List<String>
    An array of Network Security Group OCIDs used to define network access for either Deployments or Connections.
    password String

    Deprecated: The 'password' field has been deprecated. Please use 'password_secret_id' instead.

    passwordSecretId String
    The OCID of the Secret where the password is stored. The password Oracle GoldenGate uses to connect the associated system of the given technology. It must conform to the specific security requirements including length, case sensitivity, and so on. Note: When provided, 'password' field must not be provided.
    port Integer
    The port of an endpoint usually specified for a connection.
    privateIp String
    This property is not available when creating connections. For existing deprecated connections having this value set, the value cannot be updated; set it to empty.
    privateKeyFile String

    Deprecated: The 'private_key_file' field has been deprecated. Please use 'private_key_file_secret_id' instead.

    privateKeyFileSecretId String
    The OCID of the Secret that stores the content of the private key file (PEM file) corresponding to the API key of the fingerprint. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm Note: When provided, 'privateKeyFile' field must not be provided.
    privateKeyPassphrase String

    Deprecated: The 'private_key_passphrase' field has been deprecated. Please use 'private_key_passphrase_secret_id' instead.

    privateKeyPassphraseSecretId String
    The OCID of the Secret that stores the password for the private key file. Note: When provided, 'privateKeyPassphrase' field must not be provided.
    producerProperties String
    The base64 encoded content of the producer.properties file.
    providerType String
    AI Provider type used by the AI Model Connection.
    publicKeyFingerprint String
    The fingerprint of the API Key of the user specified by the userId. See documentation: https://docs.oracle.com/en-us/iaas/Content/Identity/Tasks/managingcredentials.htm
    redisClusterId String
    The OCID of the Redis cluster.
    region String
    The AMAZON region where the S3 bucket is hosted. e.g.: 'us-east-2'
    routingMethod String
    Controls the network traffic direction to the target: SHARED_DEPLOYMENT_ENDPOINT: Network traffic flows from the assigned deployment's private endpoint through the deployment's subnet. DEDICATED_ENDPOINT: A dedicated private endpoint is created in the target VCN subnet for the connection. The subnetId is required when DEDICATED_ENDPOINT networking is selected. SHARED_SERVICE_ENDPOINT: Traffic flows through the Goldengate Service's network to public hosts. Cannot be used for private targets.
    sasToken String

    Deprecated: The 'sas_token' field has been deprecated. Please use 'sas_token_secret_id' instead.

    sasTokenSecretId String
    The OCID of the Secret where the sas token is stored. Note: When provided, 'sasToken' field must not be provided.
    secretAccessKey String

    Deprecated: The 'secret_access_key' field has been deprecated. Please use 'secret_access_key_secret_id' instead.

    secretAccessKeySecretId String
    • AMAZON_S3: The OCID of the Secret where the Secret Access Key is stored.
    • OCI_OBJECT_STORAGE_S3_API: The OCID of the Secret where the Secret Access Key used for Oracle Cloud Infrastructure Object Storage S3 Compatibility authentication is stored.
    securityAttributes Map<String,String>
    Security attributes for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Oracle-ZPR": {"MaxEgressCount": {"value": "42", "mode": "enforce"}}}
    securityProtocol String
    • DB2: Security protocol for the DB2 database.
    • ELASTICSEARCH: Security protocol for Elasticsearch.
    • JAVA_MESSAGE_SERVICE: Security protocol for Java Message Service. If not provided, default is PLAIN. Optional until 2024-06-27, in the release after it will be made required.
    • KAFKA: Security Type for Kafka.
    • MICROSOFT_SQLSERVER: Security Type for Microsoft SQL Server.
    • MONGODB: Security Type for MongoDB.
    • MYSQL: Security Type for MySQL.
    • POSTGRESQL: Security protocol for PostgreSQL.
    • REDIS: Security protocol for Redis.
    servers String
    • ELASTICSEARCH: Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 9200. Used for establishing the initial connection to the Elasticsearch cluster. Example: "server1.example.com:4000,server2.example.com:4000"
    • REDIS: Comma separated list of Redis server addresses, specified as host:port entries, where :port is optional. If port is not specified, it defaults to 6379. Used for establishing the initial connection to the Redis cluster. Example: "server1.example.com:6379,server2.example.com:6379"
    serviceAccountKeyFile String

    Deprecated: The 'service_account_key_file' field has been deprecated. Please use 'service_account_key_file_secret_id' instead.

    serviceAccountKeyFileSecretId String
    The OCID of the Secret where the content of the service account key file is stored, which contains the credentials required to use Google Cloud Storage.
    sessionMode String
    Specifies the session mode for the database connection. Use REDIRECT only for RAC databases with SCAN listeners that return IP addresses. For RAC databases with SCAN listeners that return FQDNs, and for all other Oracle database technologies, use DIRECT. In RAC deployments, SCAN listeners redirects a connection to a specific database node, identified by either IP address or FQDN. It is recommended to configure RAC with FQDN-based SCAN listeners.
    shouldUseJndi Boolean
    If set to true, Java Naming and Directory Interface (JNDI) properties should be provided.
    shouldUseResourcePrincipal Boolean
    • KAFKA: Specifies that the user intends to authenticate to the instance using a resource principal. Applicable only for Oracle Cloud Infrastructure Streaming connections. Only available from 23.9.0.0.0 GoldenGate versions. Note: When specified, 'username'/'password'/'passwordSecretId' fields must not be provided. Default: false
    • OCI_OBJECT_STORAGE, ORACLE_AI_DATA_PLATFORM, ORACLE_NOSQL: Specifies that the user intends to authenticate to the instance using a resource principal. Default: false
    shouldValidateServerCertificate Boolean
    If set to true, the driver validates the certificate that is sent by the database server.
    sslCa String
    • MICROSOFT_SQLSERVER: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1-way SSL).
    • MYSQL: Database Certificate - The base64 encoded content of a .pem or .crt file containing the server public key (for 1 and 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
    • POSTGRESQL: The base64 encoded certificate of the trusted certificate authorities (Trusted CA) for PostgreSQL. The supported file formats are .pem and .crt. It is not included in GET responses if the view=COMPACT query parameter is specified.
    sslCert String
    • MYSQL: Client Certificate - The base64 encoded content of a .pem or .crt file containing the client public key (for 2-way SSL). It is not included in GET responses if the view=COMPACT query parameter is specified.
[...]
